package com.hjy.module.service.gather;

import com.baomidou.mybatisplus.extension.service.IService;
import com.hjy.common.core.page.TableDataInfo;
import com.hjy.module.domain.gether.CbGather;
import com.hjy.module.vo.gather.CbGatherVo;

import java.util.List;

/**
 * 数据采集Service接口
 *
 * @author Tellsea
 * @date 2023-08-30
 */
public interface ICbGatherService extends IService<CbGather> {

    /**
     * 分页查询
     *
     * @param entity
     * @return
     */
    TableDataInfo<CbGatherVo> queryList(CbGatherVo entity);

    /**
     * 查询全部
     *
     * @param entity
     * @return
     */
    List<CbGatherVo> queryAll(CbGatherVo entity);

    /**
     * 根据ID查询
     *
     * @param id
     * @return
     */
    CbGatherVo queryById(String id);


    /**
     * 获取可采集的数据
     * @param id
     * @return
     */
    CbGatherVo getInfoByColl(String id);

    /**
     * 保存采集数据
     * @param entity
     * @return
     */
    boolean saveEntity(CbGatherVo entity);

    /**
     * 修改采集数据
     * @param entity
     * @return
     */
    boolean updateEntity(CbGatherVo entity);
}
